INTERFACE
SUBROUTINE LWAI( KIDIA , KFDIA, KLON , KLEV, PCLDLD, PCLDLU, PCLFR, P_AI, P_AIC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_AI(KLON,KLEV+1,KLEV+1,1)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_AIC(KLON,KLEV+1)
END SUBROUTINE LWAI
END INTERFACE
